Get default endpoints
curl --request GET \
--url https://api.okeyproxy.com/ipglobal-api/api/v2/proxy/endpoints/defaultimport requests
url = "https://api.okeyproxy.com/ipglobal-api/api/v2/proxy/endpoints/default"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.okeyproxy.com/ipglobal-api/api/v2/proxy/endpoints/default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.okeyproxy.com/ipglobal-api/api/v2/proxy/endpoints/default",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.okeyproxy.com/ipglobal-api/api/v2/proxy/endpoints/default"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.okeyproxy.com/ipglobal-api/api/v2/proxy/endpoints/default")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.okeyproxy.com/ipglobal-api/api/v2/proxy/endpoints/default")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"protocol": "Endpoint:Port",
"endpoint": "tunnel-proxy.okeyproxy.com:30000:customer-798v509632:qli98bex",
"sessionType": "Rotating",
"location": "Random",
"account": "798v509632"
}Endpoints
Get default endpoints
Check default proxy endpoints for a specific plan type.
GET
/
api
/
v2
/
proxy
/
endpoints
/
default
Get default endpoints
curl --request GET \
--url https://api.okeyproxy.com/ipglobal-api/api/v2/proxy/endpoints/defaultimport requests
url = "https://api.okeyproxy.com/ipglobal-api/api/v2/proxy/endpoints/default"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.okeyproxy.com/ipglobal-api/api/v2/proxy/endpoints/default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.okeyproxy.com/ipglobal-api/api/v2/proxy/endpoints/default",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.okeyproxy.com/ipglobal-api/api/v2/proxy/endpoints/default"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.okeyproxy.com/ipglobal-api/api/v2/proxy/endpoints/default")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.okeyproxy.com/ipglobal-api/api/v2/proxy/endpoints/default")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"protocol": "Endpoint:Port",
"endpoint": "tunnel-proxy.okeyproxy.com:30000:customer-798v509632:qli98bex",
"sessionType": "Rotating",
"location": "Random",
"account": "798v509632"
}Query Parameters
Agent API key used for authentication
Rotating proxies type. Use 1 for Starter, 2 for Advanced, 3 for Premium.
Sec-user account. Letters and numbers only, up to 40 characters.
Response
200 - application/json
Protocol used for the endpoint
Proxy endpoint (host:port) including username and password for authentication
Session type
Geolocation of the proxy server (Default: random locations)
Account used to generate the endpoint and authenticate proxy connection